PETSc version 3.15.5
Fix/Edit manual page

# MatSchurComplementComputeExplicitOperator

Compute the Schur complement matrix explicitly

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementComputeExplicitOperator(Mat A, Mat *S)

Collective on M

### Input Parameter

| M | - the matrix obtained with MatCreateSchurComplement()

### Output Parameter

| S | - the Schur complement matrix

Note: This can be expensive, so it is mainly for testing

### See Also

MatCreateSchurComplement(), MatSchurComplementUpdate()

### Level

advanced

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages